Package org.apache.solr.client.solrj.response

## Class TermsResponse

- java.lang.Object
- - org.apache.solr.client.solrj.response.TermsResponse

    public class TermsResponse
    extends Object

Encapsulates responses from TermsComponent

### Nested Class Summary

Nested Classes
`static class` `TermsResponse.Term`

### Constructor Summary

Constructors
`TermsResponse​(NamedList<NamedList<Object>> termsInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​List<TermsResponse.Term>>` `getTermMap()`
`List<TermsResponse.Term>` `getTerms​(String field)` Get's the term list for a given field

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TermsResponse

    public TermsResponse​(NamedList<NamedList<Object>> termsInfo)

### Method Detail

#### getTerms

    public List<TermsResponse.Term> getTerms​(String field)

Get's the term list for a given field

Returns:
  the term list or null if no terms for the given field exist

#### getTermMap

    public Map<String,​List<TermsResponse.Term>> getTermMap()